
{% extends 'events/base.html' %}
    {% block content %}
        <center> <h1>Venue</h1> <br/> </center>
        <div class="row justify-content-center"> <!-- col d-flex justify-content-center -->
                    {% if venue_list %}
                        {% for venue in venue_list %}
                            <div class="card" style="width: 35rem;">
                                <div class="card-body">
                                    <h5 class="card-title"><strong>{{ venue }}</strong></h5>
                                    <p class="card-text">
                                        <ul>
                                        <li><strong>Venue Name: </strong>{{ venue.name }}</li>
                                        <li><strong>Venue City: </strong>{{ venue.city }}</li>
                                        <li><strong>Venue Address: </strong>{{ venue.address }}</li>
                                        <li><strong>Zip Code: </strong>{{ venue.zip_code }}</li>
                                        {% if venue.phone %}
                                        <li><strong>Venue Phone: </strong>{{ venue.phone }}</li>
                                        {% endif %}
                                        {% if venue.web %}
                                        <li><strong>Venue Web: </strong>{{ venue.web }}</li>
                                        {% endif %}
                                        {% if venue.email_address %}
                                        <li><strong>Venue Email Address: </strong>{{ venue.email_address }}</li>
                                        {% endif %}
                                        </li>
                                    </ul>
                                    </p>
                                    <a href="{% url 'update_venue' venue.id %}" class="btn btn-primary" style ="background-color: #4CAF50; border-color: #4CAF50">Update</a>
                                    <a href="{% url 'delete_venue' venue.id %}" class="btn btn-primary" style ="background-color: #f44336; border-color: #f44336">Delete</a>
                                </div>
                            </div>
                        {% endfor %}
                    {% else %}
                        <div class="card" style="width: 35rem;">
                            <div class="card-body">
                                <h5 class="card-title"><strong>No venue are available.</strong></h5>
                                <p class="card-text">
                                </p>
                                Add a Venue here:
                                <a href="{% url 'add_venue' %}" class="btn btn-primary">New Venue</a>
                            </div>
                        </div>
                    <p></p>
                    {% endif %}
        </div>
    {% endblock %}
